| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::gapi::wip::draw::Poly Struct Reference
G-API Drawing and composition functionality » Drawing primitives

This structure represents a polygon to draw. More...

`#include <opencv2/gapi/render/render_types.hpp>`

Collaboration diagram for cv::gapi::wip::draw::Poly:

## Public Member Functions
GAPI_WRAP | Poly ()=default
GAPI_WRAP | Poly (const std::vector< cv::Point > &points_, const cv::Scalar &color_, int thick_=1, int lt_=8, int shift_=0)
| Mosaic constructor.

## Public Attributes
GAPI_PROP_RW cv::Scalar | color
| The line color.
GAPI_PROP_RW int | lt
| The Type of the line. See LineTypes.
GAPI_PROP_RW std::vector< cv::Point > | points
| Points to connect.
GAPI_PROP_RW int | shift
| The number of fractional bits in the point coordinate.
GAPI_PROP_RW int | thick
| The thickness of line.

## Detailed Description

This structure represents a polygon to draw.

## Constructor & Destructor Documentation

## ◆ Poly() [1/2]

GAPI_WRAP cv::gapi::wip::draw::Poly::Poly | ( | const std::vector< cv::Point > & | points_,
|  | const cv::Scalar & | color_,
|  | int | thick_ = 1,
|  | int | lt_ = 8,
|  | int | shift_ = 0 )
| inline

Mosaic constructor.

Parameters

  points_ | Points to connect
  color_ | The line color
  thick_ | The thickness of line
  lt_ | The Type of the line. See LineTypes
  shift_ | The number of fractional bits in the point coordinate

## ◆ Poly() [2/2]

GAPI_WRAP cv::gapi::wip::draw::Poly::Poly | ( |  | ) |
| default

## Member Data Documentation

## ◆ color

GAPI_PROP_RW cv::Scalar cv::gapi::wip::draw::Poly::color

The line color.

## ◆ lt

GAPI_PROP_RW int cv::gapi::wip::draw::Poly::lt

The Type of the line. See LineTypes.

## ◆ points

GAPI_PROP_RW std::vector<cv::Point> cv::gapi::wip::draw::Poly::points

Points to connect.

## ◆ shift

GAPI_PROP_RW int cv::gapi::wip::draw::Poly::shift

The number of fractional bits in the point coordinate.

## ◆ thick

GAPI_PROP_RW int cv::gapi::wip::draw::Poly::thick

The thickness of line.

The documentation for this struct was generated from the following file:

- opencv2/gapi/render/render_types.hpp